/*
 * Message Stats v1.00  1994 by Janne Siren, All Rights Reserved
 *
 */

	FirstArea = 2	/* First area number                          */
	LastArea  = 32	/* Last area number                           */
	SkipEmpty = 1	/* Skip empty areas? 0 = Off, 1 = On          */

			/* Lines 34 and 54: Areas to skip             */
			/* eg. If cn ~= 5 & cn ~= 8 & cn ~= 9 Then Do */
			/* would cause areas 5, 8 and 9 to be skipped */

	ln = Arg(1)

	Description	= "Statistics of local public message conferences:"
	OutputFile	= "T:MessageStats_"||ln||".dat"

	CLS	= D2C(12)
	LF	= D2C(10)

	LineName = Con_LineActive(ln)

	If LineName = "" Then Exit 10

	Address Command
	Address Value LineName

	SendModem "Processing..."

	hn = 0 ; tn = 0 ; cn = FirstArea

	Do While cn <= LastArea
		If cn ~= 31 Then Do
			an = GetHighMsg(ln, cn)

			If an > hn Then hn = an

			sc.cn = an

			tn = tn + an
		End

		cn = cn + 1
	End

	cn = FirstArea

	If Open(fptr, OutputFile, "w") Then Do
		WriteLn(fptr, CLS||LF||Description||LF||LF||"[33mArea                           Msgs   Percentage[0m"||LF||"------------------------------ ------ -------------------------------------")

		Do While cn <= LastArea
			If sc.cn > 0 Then Do
				If cn ~= 31 Then Do
					lp = 0 ; dp = (sc.cn / tn) * 100

					If dp > 31 Then dp = 31

					br = ""

					Do While lp <= dp
						br = br"x"
						lp = lp + 1
					End

					If sc.cn == hn Then co = 3
					Else co = 2

					WriteLn(fptr, Left(GetMsgAreaName(ln, cn), 31)||"[3"||co||"m"||Left(sc.cn, 6)||" [36m"||Left((sc.cn / tn) * 100, 4)||" [0m"||br)
				End
			End

			cn = cn + 1
		End

		WriteLn(fptr, "------------------------------ ------ -------------------------------------"||LF||"Total Messages                 [32m"||Left(tn, 6)||"[0m Message Stats v1.00 by Janne Siren"||LF)

		Close(fptr)

		SendASCII OutputFile

		Address Command "Delete >NIL: "||OutputFile
	End

	Exit
